#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	StackTrace
Summary:	Devel::StackTrace - stack trace and stack trace frame objects
Summary(pl.UTF-8):	Devel::StackTrace - śledzenie stosu i ramek obiektów
Name:		perl-Devel-StackTrace
Version:	2.04
Release:	1
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a5b09f7be7f2b10b525a9740676906d8
URL:		http://search.cpan.org/dist/Devel-StackTrace/
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.96}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Devel::StackTrace module contains two classes, Devel::StackTrace
and Devel::StackTraceFrame. The goal of this object is to encapsulate
the information that can found through using the caller() function, as
well as providing a simple interface to this data.

%description -l pl.UTF-8
Moduł Devel::StackTrace zawiera dwie klasy: Devel::StackTrace i
Devel::StackTraceFrame. Zadaniem tego obiektu jest obudowanie
znalezionej przy użyciu funkcji caller() informacji, oraz
udostępnienie prostego interfejsu do tych danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README.md
%{perl_vendorlib}/Devel/StackTrace.pm
%{perl_vendorlib}/Devel/StackTrace
%{_mandir}/man3/Devel::StackTrace*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-StackTrace.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> b7c201b
- up to 2.04

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 901ad80
- up to 2.03

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 9340bc3
- up to 2.02

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> a508043
- updated to 2.01

* Wed Mar 04 2015 Jakub Bogusz <qboosh@pld-linux.org> af421a2
- updated Test::Simple version

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cb9a20e
- up to 2.00

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4456715
- up to 1.31

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e0befed
- up to 1.30

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> e61791c
- updated to 1.27

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> 49d5c0c
- updated to 1.22

* Wed Dec 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ddc591a
- up to 1.20

* Sun Aug 17 2008 Jakub Bogusz <qboosh@pld-linux.org> be9f454
- don't lie about version

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 40a2115
- up to 1.1902 (using 1.19 as version to avoid future epoch increase)

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 57ac3ea
- up to 1.18

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7be672c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> db78a4f
- converted to UTF-8

* Thu Jul 27 2006 Elan Ruusamäe <glen@pld-linux.org> 0924d9d
- 1.13, generic URL

* Sun Feb 26 2006 Maciej Pijanka <agaran@pld-linux.org> 93f705d
- up to 1.12 rel 1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9c508d6
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 849f275
- massive: unfold macros in name/summary & other unifications

